Skip to main content
GET
cURL

Authorizations

X-API-ID
string
header
required

API ID, from your settings page.

X-API-KEY
string
header
required

API Key, from your settings page.

Path Parameters

id
string<uuid>
required

A UUID string identifying this Custom Template Job.

Response

200 - application/json
id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only
variables
object
required

JSON data for the custom template.

media_job
string | null
required
read-only
video_output
string | null
required
read-only

Video output URL

preview
string | null
required
read-only

Preview URL

editor_url
string | null
required
read-only

Editor URL for the video. Expires in 24 hours. Available only if your API account has API editor access enabled. , expires in 24 hours.

failed_reason
string
required
read-only

Failed reason

credits_used
number
required
read-only

Credits used in this API call

duration
integer
required
read-only

Duration of the video in seconds

status
enum<string>
required
  • pending - Pending
  • in_queue - In Queue
  • running - Running
  • failed - Failed
  • done - Done
  • rejected - Rejected
Available options:
pending,
in_queue,
running,
failed,
done,
rejected
progress
number<double>
required
read-only

Progress of the job

name
string | null

Name of the video. Default is null.

Maximum string length: 255
webhook_url
string<uri> | null

Webhook URL for status updates. Default is null.

Maximum string length: 200
model_version
enum<string>

Model version for the avatar, 'standard', 'aurora_v1' or 'aurora_v1_fast'. Default is 'standard'. Standard model costs 5 credits per 30 seconds video, Aurora_v1 model costs 1 credit per second, and Aurora_v1_fast renders faster with lower quality for 0.5 credits per second.

  • standard - Standard
  • aurora_v1 - Aurora v1
  • aurora_v1_fast - Aurora v1 Fast
Available options:
standard,
aurora_v1,
aurora_v1_fast
is_hidden
boolean
default:false

Whether the job should be hidden.